<?
/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////
$d9a_boardtype = "
CREATE TABLE d9a_boardtype (
	board_id varchar(12) NOT NULL,
	yn_subject_tag enum('Y','N') DEFAULT 'N' NOT NULL,
	yn_content_tag enum('Y','N') DEFAULT 'N' NOT NULL,
	click_limit tinyint(1) DEFAULT '3' NOT NULL,
	read_limit tinyint(1) DEFAULT '3' NOT NULL,
	write_limit tinyint(1) DEFAULT '3' NOT NULL,
	yn_comment enum('Y','N') DEFAULT 'Y' NOT NULL,
	yn_reply enum('Y','N') DEFAULT 'Y' NOT NULL,
	yn_preview enum('Y','N') DEFAULT 'Y' NOT NULL,
	yn_linkfcn enum('Y','N') DEFAULT 'Y' NOT NULL,
	yn_uploadfcn enum('Y','N') DEFAULT 'Y' NOT NULL,
	uploadlimit tinyint(3) DEFAULT '5' NOT NULL,
	yn_listing enum('Y','N') DEFAULT 'Y' NOT NULL,
	yn_search enum('Y','N') DEFAULT 'Y' NOT NULL,
	design_type enum('A','B','C','D') DEFAULT 'A' NOT NULL,
	board_title varchar(40),
	board_title_size tinyint(3) DEFAULT '11' NOT NULL,
	board_title_color varchar(10) DEFAULT '575757' NOT NULL,
	table_length varchar(5) DEFAULT '95%' NOT NULL,
	table_align enum('left','center','right') DEFAULT 'center' NOT NULL,
	backcolor varchar(10),
	topcolor varchar(10),
	divcolor varchar(10),
	yn_underline enum('Y','N') DEFAULT 'N' NOT NULL,
	linkcolor varchar(10) DEFAULT '006699' NOT NULL,
	overcolor varchar(10) DEFAULT '006699' NOT NULL,
	textcolor varchar(10) DEFAULT '575757' NOT NULL,
	headfile varchar(100),
	headhtml text,
	footfile varchar(100),
	foothtml text,
	subject_length smallint(5) DEFAULT '25' NOT NULL,
	num_listing tinyint(3) DEFAULT '20' NOT NULL,
	num_directlink tinyint(3) DEFAULT '10' NOT NULL,
	PRIMARY KEY (board_id)
)
";
/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////
$d9a_memberconf = "
CREATE TABLE d9a_memberconf (
  idx tinyint(1) DEFAULT 1 NOT NULL,
  loginafter varchar(60),
  logoutafter varchar(60),
  joinafter varchar(60),
  agreement text,
  headfile varchar(100),
  headhtml text,
  footfile varchar(100),
  foothtml text,
  ynbirth enum('Y','N') DEFAULT 'Y' NOT NULL,
  ynmsger enum('Y','N') DEFAULT 'Y' NOT NULL,
  ynmobile enum('Y','N') DEFAULT 'Y' NOT NULL,
  ynhomepage enum('Y','N') DEFAULT 'Y' NOT NULL,
  ynhouse enum('Y','N') DEFAULT 'Y' NOT NULL,
  ynworkspace enum('Y','N') DEFAULT 'Y' NOT NULL,
  ynintrotxt enum('Y','N') DEFAULT 'Y' NOT NULL,
  introtxt text
)
";
/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////
$d9a_member = "
CREATE TABLE d9a_member (
  idx int(10) unsigned DEFAULT '1' NOT NULL auto_increment,
  name varchar(12) NOT NULL,
  id varchar(10) NOT NULL,
  passwd varchar(30) NOT NULL,
  jumin varchar(14) NOT NULL,
  birthyear smallint(5) unsigned,
  birthmonth tinyint(3) unsigned,
  birthday tinyint(3) unsigned,
  calendar enum('S','L') DEFAULT 'S' NOT NULL,
  sex enum('M','F') DEFAULT 'M' NOT NULL,
  email varchar(60),
  msgtype varchar(50),
  messenger varchar(60),
  homepage varchar(60),
  cellp1 char(4),
  cellp2 char(4),
  cellp3 char(4),
  Haddr varchar(255),
  Hzipcode1 char(3),
  Hzipcode2 char(3),
  Hphone1 char(4),
  Hphone2 char(4),
  Hphone3 char(4),
  officename varchar(255),
  teamname varchar(255),
  Oaddr varchar(255),
  Ozipcode1 char(3),
  Ozipcode2 char(3),
  Ophone1 char(4),
  Ophone2 char(4),
  Ophone3 char(4),
  signdate int(10) unsigned NOT NULL,
  userlevel tinyint DEFAULT '1' NOT NULL,
  intro text,
  visit int unsigned NOT NULL,
  PRIMARY KEY (idx)
)
";
/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////
$d9a_comment = "
CREATE TABLE d9a_comment (
  idx mediumint(9) unsigned DEFAULT '1' NOT NULL auto_increment,
  cnum mediumint(9) unsigned NOT NULL,
  ccode varchar(12) NOT NULL,
  cid varchar(12) NOT NULL,
  cname varchar(12) NOT NULL,
  cemail varchar(40),
  passwd varchar(30) NOT NULL,
  ccomment text NOT NULL,
  signdate int(10) unsigned NOT NULL,
  PRIMARY KEY (idx)
)
";
/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////
$d9a_recvmemo = "
CREATE TABLE d9a_recvmemo (
  idx mediumint(9) unsigned DEFAULT '1' NOT NULL auto_increment,
  recver varchar(12) NOT NULL,
  recvname varchar(12) NOT NULL,
  sender varchar(12) NOT NULL,
  sendname varchar(12) NOT NULL,
  subject varchar(60) NOT NULL,
  content text NOT NULL,
  signdate int(10) unsigned NOT NULL,
  confirm int(10) unsigned,
  PRIMARY KEY (idx)
)
";
/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////
$d9a_sendmemo = "
CREATE TABLE d9a_sendmemo (
  idx mediumint(9) unsigned DEFAULT '1' NOT NULL auto_increment,
  recver varchar(12) NOT NULL,
  recvname varchar(12) NOT NULL,
  sender varchar(12) NOT NULL,
  sendname varchar(12) NOT NULL,
  subject varchar(60) NOT NULL,
  content text NOT NULL,
  signdate int(10) unsigned NOT NULL,
  confirm int(10) unsigned,
  PRIMARY KEY (idx)
)
";
/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////
$zipcode = "
CREATE TABLE zipcode (
  zipcode varchar(7) NOT NULL,
  sido varchar(4) NOT NULL,
  gugun varchar(20) NOT NULL,
  dong varchar(50) NOT NULL,
  bunji varchar(20)
)
";
/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////
?>