CREATE TABLE d9a_boardtype (
	board_id varchar(12) NOT NULL,
	board_grp varchar(12) NOT NULL,
	yn_title_tag enum('Y','N') DEFAULT 'N' NOT NULL,
	yn_content_tag enum('Y','N') DEFAULT 'N' NOT NULL,
	click_limit tinyint(1) DEFAULT '3' NOT NULL,
	read_limit tinyint(1) DEFAULT '3' NOT NULL,
	write_limit tinyint(1) DEFAULT '3' NOT NULL,
	yn_comment enum('Y','N') DEFAULT 'Y' NOT NULL,
	yn_reply enum('Y','N') DEFAULT 'Y' NOT NULL,
	yn_autolink enum('Y','N') DEFAULT 'Y' NOT NULL,
	yn_linkfcn enum('Y','N') DEFAULT 'Y' NOT NULL,
	yn_uploadfcn enum('Y','N') DEFAULT 'Y' NOT NULL,
	uploadlimit tinyint(3) DEFAULT '5' NOT NULL,
	yn_notice enum('Y','N') DEFAULT 'Y' NOT NULL,
	yn_listing enum('Y','N') DEFAULT 'Y' NOT NULL,
	yn_search enum('Y','N') DEFAULT 'Y' NOT NULL,
	design_type enum('A','B','C','D') DEFAULT 'A' NOT NULL,
	board_title varchar(40),
	board_title_size tinyint(3) DEFAULT '11' NOT NULL,
	board_title_color varchar(10) DEFAULT '575757' NOT NULL,
	table_length varchar(5) DEFAULT '95%' NOT NULL,
	table_align enum('left','center','right') DEFAULT 'center' NOT NULL,
	backcolor varchar(10),
	topcolor varchar(10),
	yn_underline enum('Y','N') DEFAULT 'N' NOT NULL,
	linkcolor varchar(10) DEFAULT '006699' NOT NULL,
	textcolor varchar(10) DEFAULT '575757' NOT NULL,
	headfile varchar(100),
	headhtml text,
	footfile varchar(100),
	foothtml text,
	subject_length smallint(5) DEFAULT '25' NOT NULL,
	num_listing tinyint(3) DEFAULT '20' NOT NULL,
	num_directlink tinyint(3) DEFAULT '10' NOT NULL,
	PRIMARY KEY (board_id)
);